/*
 * Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
 *
 * This file is part of NRAO Workspaces.
 *
 * Workspaces is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Workspaces is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
 */
import {NgModule} from "@angular/core";
import {RouterModule, Routes} from "@angular/router";
import {WorkspacesComponent} from "./workspaces.component";
import {CapabilityRequestComponent} from "./components/capability-request/capability-request.component";
import {ActiveCapabilityRequestsComponent} from "./components/active-capability-requests/active-capability-requests.component";
import {EmailTemplatesComponent} from "./components/email-templates/email-templates.component";
import {WsHomeComponent} from "./ws-home/ws-home.component";
import {DefaultSettingsComponent} from "./components/default-settings/default-settings.component";

const routes: Routes = [
  {
    path: "",
    component: WorkspacesComponent,
    children: [
      {path: "", component: WsHomeComponent},
      {path: "request-status/:id", component: CapabilityRequestComponent},
      {path: "active-requests", component: ActiveCapabilityRequestsComponent},
      {path: "email-templates", component: EmailTemplatesComponent},
      {path: "processing-settings", component: DefaultSettingsComponent},
      {path: "**", redirectTo: "", pathMatch: "full"},
    ]
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class WorkspacesRoutingModule {
}
