"""implement autoprocessing setttings

Revision ID: 0670d1e6f1b4
Revises: df6ca1c4d778
Create Date: 2024-12-06 12:54:25.389182

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "0670d1e6f1b4"
down_revision = "db4edca73cb8"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
        CREATE TYPE auto_process_type AS ENUM ('RUN', 'PAUSE', 'STOP');
        """
    )
    op.execute(
        """
        CREATE TABLE IF NOT EXISTS processing_settings (
        default_capability VARCHAR REFERENCES capabilities PRIMARY KEY,
        auto_submit_status auto_process_type
        )
        """
    )
    op.execute(
        """
        INSERT INTO processing_settings (default_capability, auto_submit_status)
        VALUES ('std_calibration', 'RUN') ON CONFLICT DO NOTHING 
        """
    )


def downgrade():
    op.execute(
        """
        DROP TABLE IF EXISTS processing_settings
        """
    )
    op.execute(
        """
        DROP TYPE IF EXISTS auto_process_type
        """
    )
