# Copyright (C) 2023 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
#
"""add user email to restore metadata

Revision ID: 2330434db22c
Revises: 4d9fbb433897
Create Date: 2024-11-04 15:32:29.462471

"""
from pathlib import Path

from alembic import op

# revision identifiers, used by Alembic.
revision = "2330434db22c"
down_revision = "4d9fbb433897"
branch_labels = None
depends_on = None


old_content = (Path.cwd() / "versions" / "templates" / "restore_cms" / "metadata_2.8.4.txt").read_text()
new_content = (Path.cwd() / "versions" / "templates" / "restore_cms" / "metadata_2.8.5.1.txt").read_text()


def upgrade():
    op.execute(
        f"""UPDATE workflow_templates
    SET content = E'{new_content}'
    WHERE workflow_name='restore_cms' and filename='metadata.json'
    """
    )


def downgrade():
    op.execute(
        f"""UPDATE workflow_templates
    SET content = E'{old_content}'
    WHERE workflow_name='restore_cms' and filename='metadata.json'
    """
    )
