"""correct archive restore delivery

Revision ID: 351f55781006
Revises: 2330434db22c
Create Date: 2024-11-06 10:28:58.652401

"""
from pathlib import Path

from alembic import op


# revision identifiers, used by Alembic.
revision = "351f55781006"
down_revision = "2330434db22c"
branch_labels = None
depends_on = None


old_content = (Path.cwd() / "versions" / "templates" / "restore_cms" / "deliver_condor_2.8.5.txt").read_text()
new_content = (Path.cwd() / "versions" / "templates" / "restore_cms" / "deliver_condor_2.8.5.1.txt").read_text()


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{new_content}'
        WHERE filename='restore_cms_deliver.condor' AND workflow_name='restore_cms'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{old_content}'
        WHERE filename='restore_cms_deliver.condor' AND workflow_name='restore_cms'
        """
    )
